package be.msyben.vinylManager.tools.filter;

import java.io.File;
import javax.swing.filechooser.FileFilter;

/**
 * Filtre pour fichier csv.
 * @author Mathieu Syben
 */
public class FileFilterCSV extends FileFilter {
    /** Creates a new instance of FileFilterCSV */
    public FileFilterCSV() {
    }

    /**
     * Défini si un fichier est autorisé par le filtre
     * @param f le fichier à tester
     * @return true si le fichier correspond au filtre, false sinon
     */
    @Override
    public boolean accept(File f) {
        if (f.isDirectory())
            return true;
        if (f.isFile()) {
            if (f.getName().toLowerCase().endsWith(".csv")){
                return true;
            }
        }
        return false;
    }

    /**
     * Renvoie la description des fichiers acceptés.
     * @return la description des fichiers acceptés.
     */
    @Override
    public String getDescription() {
        return "CSV files (*.csv)";
    }
}
